;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux planner-el package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The planner-el package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:

(if (or (eq flavor 'emacs20) (eq flavor 'emacs21) (eq flavor 'xemacs21))
    (progn
      (setq load-path (cons (concat "/usr/share/"
                                    (symbol-name flavor)
                                    "/site-lisp/planner-el") load-path))
      (load "planner")))
